> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Advertiser

> Update an Advertiser's information. You can also do this manually on the Reseller dashboard's Advertisers page in the admin portal.

### Path Parameters

<ParamField path="advertiserID" type="string" required={true} placeholder="123">
  The ID of the advertiser.
</ParamField>

### Body Parameters

<ParamField body="name" type="string" placeholder="Sample Advertiser">
  The name of the advertiser.
</ParamField>

<ParamField body="website_url" type="string" placeholder="https://example.com">
  The website URL of the advertiser.
</ParamField>

<ResponseExample>
  ```json 201 theme={null}
  {
      "id": "123",
      "platform_id": "456",
      "created_at": "2024-12-02T22:23:26.60633+00:00",
      "name": "Advertiser 1",
      "website_url": "https://example.com",
      "frozen": false,
      "hidden": false
  }
  ```

  ```json 400 theme={null}
  {
      "error": "No fields to update"
  }
  ```

  ```json 500 theme={null}
  {
      "error": "Internal server error"
  }
  ```
</ResponseExample>
